Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453157 - module usbkb not found in 2.6.25.6-55.fc9.i686, machine fails to boot
Summary: module usbkb not found in 2.6.25.6-55.fc9.i686, machine fails to boot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 16:04 UTC by Michael DeHaan
Modified: 2009-07-14 14:20 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 14:20:05 UTC


Attachments (Terms of Use)

Description Michael DeHaan 2008-06-27 16:04:12 UTC
Description of problem:

Booting my machine to a newly updated kernel fails to find module 'usbkb', which
is presumably needed for my KVM device (Belkin Flip model #F1DG102U).  After
failing to load this module, init mentions it cannot find /dev/null.  Rebooting
to kernel 2.6.25.6-55 fixes the problem.


Version-Release number of selected component (if applicable):

2.6.25.6-55.fc9.i686


How reproducible:

Very

Steps to Reproduce:


1. Install F9
2. update kernel
3. boot kernel w/ substandard Belkin KVM device attached
4. watch it not find the module and not boot
5. profit ?


  
Actual results:

Can't find 'usbkb' module and doesn't boot (init fails)


Expected results:

Does boot

Additional info:

Comment 1 Chuck Ebbert 2008-06-27 18:36:46 UTC
There is a usbkbd driver in the kernel but it's not recommended to use it and we
have never provided it AFAIK:

config USB_KBD
        tristate "USB HIDBP Keyboard (simple Boot) support"
        depends on USB && INPUT
        ---help---
          Say Y here only if you are absolutely sure that you don't want
          to use the generic HID driver for your USB keyboard and prefer
          to use the keyboard in its limited Boot Protocol mode instead.

          This is almost certainly not what you want.  This is mostly
          useful for embedded applications or simple keyboards.
          
          To compile this driver as a module, choose M here: the
          module will be called usbkbd.

          If even remotely unsure, say N.


Comment 2 Michael DeHaan 2008-06-27 19:34:30 UTC
Oddness.  So why does my one kernel work and not the other?  I don't think I
should have to rebuild a kernel in order to get this device working when it
worked in the previous update, this is a build I got from yum, not a custom
built version.





Comment 3 Bug Zapper 2009-06-10 01:48:43 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 14:20:05 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.